VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "FileLines"
   ClientHeight    =   4260
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   3975
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   4260
   ScaleWidth      =   3975
   Begin VB.ComboBox PatternCombo 
      Height          =   315
      Left            =   0
      TabIndex        =   3
      Text            =   "PatternCombo"
      Top             =   3600
      Width           =   2175
   End
   Begin VB.DriveListBox DriveList 
      Height          =   315
      Left            =   0
      TabIndex        =   2
      Top             =   0
      Width           =   2175
   End
   Begin VB.DirListBox DirList 
      Height          =   1155
      Left            =   0
      TabIndex        =   1
      Top             =   360
      Width           =   2175
   End
   Begin VB.FileListBox FileList 
      Height          =   1845
      Left            =   0
      TabIndex        =   0
      Top             =   1560
      Width           =   2175
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub DirList_Change()
    FileList.Path = DirList.Path
End Sub

Private Sub DriveList_Change()
    On Error GoTo DriveError
    DirList.Path = DriveList.Drive
    Exit Sub

DriveError:
    DriveList.Drive = DirList.Path
    Exit Sub
End Sub


Private Sub FileList_Click()
Dim fname As String
Dim num_lines As Long

    MousePointer = vbHourglass
    DoEvents
    On Error Resume Next

    fname = FileList.Path & "\" & FileList.FileName
    num_lines = LinesInFile(fname)
    If Err.Number = 0 Then
        Caption = "FileLines - " & Format$(num_lines) & " lines"
    Else
        Caption = "FileLines - Error reading file"
    End If
    
    MousePointer = vbDefault
End Sub

' Read the file a line at a time and return
' the number of lines.
Private Function LinesInFile(ByVal file_name As String) As Long
Dim fnum As Integer
Dim lines As Long
Dim one_line As String

    fnum = FreeFile
    Open file_name For Input As #fnum
    Do While Not EOF(fnum)
        Line Input #fnum, one_line
        lines = lines + 1
    Loop
    Close fnum

    LinesInFile = lines
End Function

Private Sub Form_Load()
    PatternCombo.AddItem "Text Files (*.txt)"
    PatternCombo.AddItem "All Files (*.*)"
    PatternCombo.ListIndex = 0

    DriveList.Drive = App.Path
    DirList.Path = App.Path
End Sub

Private Sub Form_Resize()
Dim hgt As Integer

    If WindowState = vbMinimized Then Exit Sub

    DriveList.Move 0, 0, ScaleWidth
    PatternCombo.Move 0, ScaleHeight - PatternCombo.Height, ScaleWidth

    hgt = (PatternCombo.Top - DriveList.Top - DriveList.Height - 3 * 0) / 2
    If hgt < 120 Then hgt = 120
    DirList.Move 0, DriveList.Top + DriveList.Height + 0, ScaleWidth, hgt
    FileList.Move 0, DirList.Top + DirList.Height + 0, ScaleWidth, hgt
End Sub
Private Sub PatternCombo_Change()
    FileList.Pattern = PatternCombo.Text
End Sub

Private Sub PatternCombo_Click()
Dim pat As String
Dim p1 As Integer
Dim p2 As Integer

    pat = PatternCombo.List(PatternCombo.ListIndex)
    p1 = InStr(pat, "(")
    p2 = InStr(pat, ")")
    FileList.Pattern = Mid$(pat, p1 + 1, p2 - p1 - 1)
End Sub
